Search all private and open type channels across all teams
POST/api/v4/channels/search
Returns all private and open type channels where 'term' matches on the name, display name, or purpose of the channel.
Configured 'default' channels (ex Town Square and Off-Topic) can be excluded from the results
with the exclude_default_channels boolean parameter.
Channels that are associated (via GroupChannel records) to a given group can be excluded from the results
with the not_associated_to_group parameter and a group id string.
Request
Responses
- 200
- 400
- 401
Paginated channel response. (Note that the non-paginated response—returned if the request body does not contain both page and per_page fields—is a simple array of channels.)
Invalid or missing parameters in URL or request body
No access token provided